Before you install or upgrade Carbon Black Cloud Workload Plug-in, make sure your environment meets the supported requirements. You must install one Carbon Black Cloud Workload appliance per vCenter Server.

Product/Component Supported Version

VMware vCenter Server

6.7 U1, 6.7 U2, 6.7 U3, 7.0, 7.0 U1
VMware ESXi 6.5 U3, 6.7 U1, 6.7 U2, 6.7 U3, 7.0, 7.0 U1
VMware Tools for Windows Operating System (OS)

11.2 or later

Important: Virtual machines in your vCenter Server inventory must have VMware Tools version 11.2 or later.
Open VM Tools (open-vm-tools) for Linux OS 10.3.2 or later
Windows Guest OS

Only 64-bit architecture is supported.

  • Windows Server 2008 R2 Service Pack 1 (SP1) x64
  • Windows Server 2012 x64
  • Windows Server 2012 R2 x64
  • Windows Server 2016 x64
  • Windows Server 2019 x64
  • Windows 7 SP1 x64
  • Windows 8 x64
  • Windows 8.1 x64
  • Windows 10 x64
Linux Guest OS
  • RHEL 6: 6.1–6.10
  • RHEL 7: 7.0–7.8
  • RHEL 8: 8.0–8.2
  • CentOS 6: 6.1–6.10
  • CentOS 7: 7.0–7.8
  • CentOS 8: 8.0–8.1
  • Oracle 6: 6.1–6.10
  • Oracle 7: 7.0–7.8
  • Oracle 8: 8.0–8.2
  • SUSE 12: 12.2–12.5
  • SUSE 15: 15.0–15.1
  • OpenSUSE 15: 15.0–15.2
  • OpenSUSE 42: 42.2–42.3
  • Ubuntu 16: 16.04 LTS
  • Ubuntu 18: 18.04 LTS, 18.10
  • Ubuntu 19: 19.04 LTS, 19.10
  • Ubuntu 20: 20.04 LTS
  • Amazon Linux 2
Vulnerability Assessment support for Windows OS
  • Windows Server 2008 R2 Service Pack 1 (SP1) x64
  • Windows Server 2012 x64
  • Windows Server 2012 R2 x64
  • Windows Server 2016 x64
  • Windows Server 2019 x64
Vulnerability Assessment support for Linux OS
  • RHEL 6: 6.1–6.10
  • RHEL 7: 7.0–7.8
  • CentOS 6: 6.1–6.10
  • CentOS 7: 7.0–7.8
  • SUSE 12: 12.2–12.5
  • SUSE 15: 15.0–15.1
  • Ubuntu 16: 16.04 LTS
  • Ubuntu 18: 18.04 LTS, 18.10
  • Ubuntu 19: 19.04 LTS, 19.10
  • Ubuntu 20: 20.04 LTS
Supported Browsers vSphere Client supported web browsers
Carbon Black Sensor
  • Windows 3.6 or later
  • Linux 2.9 or later

For information about interoperability with VMware products, see VMware Product Interoperability Matrices.

For the Carbon Black version compatibility matrix, see Carbon Black Cloud support matrix. You must first log in to the Carbon Black User Exchange page.